Bug 1302552 - (zendframework/zend-hydrator) Review Request: php-zendframework-zend-hydrator - Zend Framework Hydrator component
Review Request: php-zendframework-zend-hydrator - Zend Framework Hydrator com...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 02:09 EST by Remi Collet
Modified: 2016-02-01 09:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-01 09:23:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
phpcompatinfo-full.log (24.64 KB, text/plain)
2016-02-01 08:19 EST, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (14.53 KB, text/plain)
2016-02-01 08:20 EST, Shawn Iwinski
no flags Details
fedora-review.txt (6.91 KB, text/plain)
2016-02-01 08:20 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2016-01-28 02:09:16 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/44886461e4307893dc89cf811559f7e9f2b42e84/php/zend/php-zendframework-zend-hydrator/php-zendframework-zend-hydrator.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-zendframework-zend-hydrator-1.0.0-1.remi.src.rpm
Description: 
Zend\Hydrator provides utilities for mapping arrays to objects,
and vice versa, including facilities for filtering which data
is mapped as well as providing mechanisms for mapping nested
structures.

Fedora Account System Username: remi


New dependency of zend-stdlib 2.7 (for ZF 2.5.3)
Version ^1.0.0 required (v2 is released for ZF3)
Comment 1 Shawn Iwinski 2016-02-01 08:19 EST
Created attachment 1120111 [details]
phpcompatinfo-full.log

phpCompatInfo version 5.0.0 DB built Jan 09 2016 15:36:21 CET
Comment 2 Shawn Iwinski 2016-02-01 08:20 EST
Created attachment 1120112 [details]
phpcompatinfo-lib.log

phpCompatInfo version 5.0.0 DB built Jan 09 2016 15:36:21 CET
Comment 3 Shawn Iwinski 2016-02-01 08:20 EST
Created attachment 1120113 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1302552
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Shawn Iwinski 2016-02-01 08:23:51 EST
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



[!]: Latest version is packaged.

     Latest version for dependent RPM-packaged versions of Zend Framework v2.  As noted
     in the review request, "Version ^1.0.0 required (v2 is released for ZF3)".



rpmlint:
W: incoherent-version-in-changelog 1.0.1-1 ['1.0.0-1.fc24', '1.0.0-1']

    Minor.  Fix after initial import.



No blockers.

===== APPROVED =====
Comment 5 Remi Collet 2016-02-01 08:39:21 EST
Thanks for the review.
Comment 6 Gwyn Ciesla 2016-02-01 08:53:19 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/php-zendframework-zend-hydrator

Note You need to log in before you can comment on or make changes to this bug.